Subject: RE: draft-wasserman-3gpp-advice-00.txt

From: "Hesham Soliman (ERA)" <[email-masked]>
Date: Mon, 19 Nov 2001 10:34:46 +0100

John,

Please see my comment below. 

=> Actually it seems to me that the solution in the draft 
is a lot simpler than the one in the current 3GPP specs, but 
I might have missed something that concerned you ?

I agree. The solution in the draft is simpler however at the expense of what I view as being a wasteful implementation. The draft proposes /64 being allocated to each mobile device at a minimum and problably multiple /64s. This would be perfectly acceptable if each mobile device was a mobile router supporting mobile subnets - but in 3GPP that is not the case, a mobile device is a host and in many cases the hosts may have very basic functionalities.

=> I understand that it seems wasteful, however, according 
to the calculations in section 7.3.1 of the draft, we 
can afford to trade off the efficiency of address allocation
for simplicity. 
To my knowledge, nothing in the 3GPP specifications prohibits
a UE from being a router. Granted that currently, it seems 
that UEs are not heading that way, but why not have a 
mechanism that allows the UE to be a router _if_needed_
in future. 
You could probably argue that there might be more efficient
mechanisms, but when we consider the limitation of not wanting
to significantly impact the 3GPP specs, this solution
seems reasonable. 

The working group should provide guidance on whether such a solution is something they are comfortable with being recommended to 3GPP.

=> That's what we¨'re doing now :)

Regards,
Hesham
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 19 Nov 2001 14:52:07 +0100

It's short-sighted *not* to think of the 3G (or 4G) devices as routers
- we certainly need to recommend an approach for 3G that will also work for 4G
- in 4G, surely we will get a solution in which the cellular terminal will 
  act as a router for the personal area network

Just give them each a /64. Anything else is fiddling with details.

(Also see RFC 3177, section 3)

   Brian

-- 
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Brian E Carpenter 
Distinguished Engineer, Internet Standards & Technology, IBM 
On assignment at the IBM Zurich Laboratory, Switzerland
Board Chairman, Internet Society http://www.isoc.org
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: "Jim Fleming" <[email-masked]>
Date: Mon, 19 Nov 2001 08:42:08 -0600

Don't forget to include the IAB/IETF Architecture diagram, it helps people navigate.
http://unfix.org/projects/ipv6/IPv6andIPv4.gif

Jim Fleming
http://www.IPv8.info
IPv16....One Better !!

----- Original Message -----
From: "Brian E Carpenter" <[email-masked]>
To: "Hesham Soliman (ERA)" <[email-masked]>
Cc: "'Hughes John-CJH023'" <[email-masked]>; "'Margaret Wasserman'" <[email-masked]>; <[email-masked]>
Sent: Monday, November 19, 2001 7:52 AM
Subject: Re: draft-wasserman-3gpp-advice-00.txt

> > I agree. The solution in the draft is simpler however at the expense of what I view as being a wasteful implementation. The
draft proposes /64 being allocated to each mobile device at a minimum and problably multiple /64s. This would be perfectly
acceptable if each mobile device was a mobile router supporting mobile subnets - but in 3GPP that is not the case, a mobile device
is a host and in many cases the hosts may have very basic functionalities.